# Class BorderUIResource.EtchedBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.EtchedBorder
javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.EtchedBorderUIResource extends EtchedBorder implements UIResource
An etched border UI resource.

## Field Summary

### Fields declared in class EtchedBorder

`etchType, highlight, LOWERED, RAISED, shadow`
Modifier and Type
Field
Description
`protected int`
`etchType`
The type of etch to be drawn by the border.
`protected Color`
`highlight`
The color to use for the etched highlight.
`static final int`
`LOWERED`
Lowered etched type.
`static final int`
`RAISED`
Raised etched type.
`protected Color`
`shadow`
The color to use for the etched shadow.

## Constructor Summary

Constructors
Constructor
Description
`EtchedBorderUIResource()`
Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(int etchType)`
Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(int etchType, Color highlight, Color shadow)`
Constructs an `EtchedBorderUIResource`.
`EtchedBorderUIResource(Color highlight, Color shadow)`
Constructs an `EtchedBorderUIResource`.

## Method Summary

### Methods declared in class EtchedBorder

`getBorderInsets, getEtchType, getHighlightColor, getHighlightColor, getShadowColor, getShadowColor, isBorderOpaque, paintBorder`
Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`int`
`getEtchType()`
Returns which etch-type is set on the etched border.
`Color`
`getHighlightColor()`
Returns the highlight color of the etched border.
`Color`
`getHighlightColor(Component c)`
Returns the highlight color of the etched border when rendered on the specified component.
`Color`
`getShadowColor()`
Returns the shadow color of the etched border.
`Color`
`getShadowColor(Component c)`
Returns the shadow color of the etched border when rendered on the specified component.
`boolean`
`isBorderOpaque()`
Returns whether or not the border is opaque.
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
Paints the border for the specified component with the specified position and size.

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`
Modifier and Type
Method
Description
`int`
`getBaseline(Component c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(Component c)`
Returns an enum indicating how the baseline of a component changes as the size changes.
`Insets`
`getBorderInsets(Component c)`
This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
`Rectangle`
`getInteriorRectangle(Component c, int x, int y, int width, int height)`
This convenience method calls the static method.
`static Rectangle`
`getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
Returns a rectangle using the arguments minus the insets of the border.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### EtchedBorderUIResource

public EtchedBorderUIResource()
Constructs an `EtchedBorderUIResource`.

### EtchedBorderUIResource

public EtchedBorderUIResource(int etchType)
Constructs an `EtchedBorderUIResource`.

Parameters:
  `etchType` - the type of etch to be drawn by the border

### EtchedBorderUIResource

public EtchedBorderUIResource(Color highlight, Color shadow)
Constructs an `EtchedBorderUIResource`.

Parameters:
  `highlight` - the color to use for the etched highlight
  `shadow` - the color to use for the etched shadow

### EtchedBorderUIResource

@ConstructorProperties({"etchType","highlightColor","shadowColor"}) public EtchedBorderUIResource(int etchType, Color highlight, Color shadow)
Constructs an `EtchedBorderUIResource`.

Parameters:
  `etchType` - the type of etch to be drawn by the border
  `highlight` - the color to use for the etched highlight
  `shadow` - the color to use for the etched shadow